disp('test004: If model is not a struct, return empty list');
model = 1;
param.synthesis = 'all';
[object, outres] = model2instance(model, param);
assert(isempty(object));
assert(isempty(outres));
disp('Test passed.');